import request from '@/utils/request'

// 查询社会反馈列表
export function listFeedbacks(query) {
  return request({
    url: '/feeds/feedbacks/list',
    method: 'get',
    params: query
  })
}

// 查询社会反馈详细
export function getFeedbacks(id) {
  return request({
    url: '/feeds/feedbacks/' + id,
    method: 'get'
  })
}

// 新增社会反馈
export function addFeedbacks(data) {
  return request({
    url: '/feeds/feedbacks',
    method: 'post',
    data: data
  })
}

// 修改社会反馈
export function updateFeedbacks(data) {
  return request({
    url: '/feeds/feedbacks',
    method: 'put',
    data: data
  })
}

// 删除社会反馈
export function delFeedbacks(id) {
  return request({
    url: '/feeds/feedbacks/' + id,
    method: 'delete'
  })
}
